- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/delete#try-it)

Delete a metadata entity.

### HTTP request

`DELETE https://dataplex.googleapis.com/v1/{name=projects/*/locations/*/lakes/*/zones/*/entities/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the entity: `projects/{projectNumber}/locations/{locationId}/lakes/{lakeId}/zones/{zoneId}/entities/{entityId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `dataplex.entities.delete` |

### Query parameters

| Parameters ||
|---|---|
| `etag` | `string` Required. The etag associated with the entity, which can be retrieved with a \[entities.get\]\[\] request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).